- Main Page
- Modules
- Classes
- Files

# Pixel

## Functions
bool | CxImage::IsInside (long x, long y)
bool | CxImage::IsTransparent (long x, long y)
bool | CxImage::GetTransparentMask (CxImage *iDst=0)
RGBQUAD | CxImage::GetPixelColor (long x, long y, bool bGetAlpha=true)
BYTE | CxImage::GetPixelIndex (long x, long y)
BYTE | CxImage::GetPixelGray (long x, long y)
void | CxImage::SetPixelColor (long x, long y, RGBQUAD c, bool bSetAlpha=false)
void | CxImage::SetPixelColor (long x, long y, COLORREF cr)
void | CxImage::SetPixelIndex (long x, long y, BYTE i)
void | CxImage::DrawLine (int StartX, int EndX, int StartY, int EndY, RGBQUAD color, bool bSetAlpha=false)
void | CxImage::DrawLine (int StartX, int EndX, int StartY, int EndY, COLORREF cr)
void | CxImage::BlendPixelColor (long x, long y, RGBQUAD c, float blend, bool bSetAlpha=false)

## Detailed Description

## Function Documentation

void CxImage::BlendPixelColor | ( | long | x,
|  | long | y,
|  | RGBQUAD | c,
|  | float | blend,
|  | bool | bSetAlpha = `false` |
| ) |  |  | `[inherited]`

Blends the current pixel color with a new color.

Parameters:

  | x,y | = pixel
  | c | = new color
  | blend | = can be from 0 (no effect) to 1 (full effect).
  | bSetAlpha | = if true, blends also the alpha component stored in c.rgbReserved

void CxImage::DrawLine | ( | int | StartX,
|  | int | EndX,
|  | int | StartY,
|  | int | EndY,
|  | COLORREF | cr |
| ) |  |  | `[inherited]`

void CxImage::DrawLine | ( | int | StartX,
|  | int | EndX,
|  | int | StartY,
|  | int | EndY,
|  | RGBQUAD | color,
|  | bool | bSetAlpha = `false` |
| ) |  |  | `[inherited]`

RGBQUAD CxImage::GetPixelColor | ( | long | x,
|  | long | y,
|  | bool | bGetAlpha = `true` |
| ) |  |  | `[inherited]`

BYTE CxImage::GetPixelGray | ( | long | x,
|  | long | y |
| ) |  |  | `[inherited]`

BYTE CxImage::GetPixelIndex | ( | long | x,
|  | long | y |
| ) |  |  | `[inherited]`

Returns the palette index of the specified pixel.

bool CxImage::GetTransparentMask | ( | CxImage * | iDst = `0` | ) | `[inherited]`

bool CxImage::IsInside | ( | long | x,
|  | long | y |
| ) |  |  | `[inherited]`

Checks if the coordinates are inside the image

Returns:
  true if x and y are both inside the image

bool CxImage::IsTransparent | ( | long | x,
|  | long | y |
| ) |  |  | `[inherited]`

void CxImage::SetPixelColor | ( | long | x,
|  | long | y,
|  | COLORREF | cr |
| ) |  |  | `[inherited]`

void CxImage::SetPixelColor | ( | long | x,
|  | long | y,
|  | RGBQUAD | c,
|  | bool | bSetAlpha = `false` |
| ) |  |  | `[inherited]`

void CxImage::SetPixelIndex | ( | long | x,
|  | long | y,
|  | BYTE | i |
| ) |  |  | `[inherited]`